Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6517 - nfs server default install won't cross file systems
Summary: nfs server default install won't cross file systems
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: nfs-server
Version: 6.1
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-10-29 21:20 UTC by maxfield
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-10-30 13:09:03 UTC


Attachments (Terms of Use)

Description maxfield 1999-10-29 21:20:14 UTC
/home is mounted on a separate partition from /

 export / to a machine, with no root squash

 on the machine to be mounting the directory under /remote,
do this:

 mount -t nfs exportmachine:/ /remote
 cp -av /home/* /remote/home

 you will get a list of files. you can
cd /remote/home
ls

 and the files will be there.

  telnet into the exportmachine, then
cd /home
ls

  the files are not there.  They are on the root file
system somewhere "underneath the [directory] rug." <grin>

Comment 1 Jeff Johnson 1999-10-30 13:09:59 UTC
Knfsd does not cross partitions, unlike the older user-space
nfs-server. Each partition on the server needs to be exported
separately, and clients must mount each partition.

FWIW, the new behavior of knfsd is more typical of NFS implementations
than the older nfs-server was.
old


Note You need to log in before you can comment on or make changes to this bug.